<!DOCTYPE html>
<html>

<head>
    <title>Todo Lists</title>
</head>

<body>
    <main>
        <div>
            <h1>{{todo_lists.name}}</h1>

            <p><a href="{% url 'update_todolist' todos_list.id %}">Edit</a></p>
            <p><a href="{% url 'delete_todolist' todos_list.id %} ">Delete</a> </p>

            <h2>Tasks</h2>


            <table>
                <tr>

                    <thead>

                        <th>Tasks</th>

                        <th>Due dates</th>

                    </thead>
                </tr>

                <tbody>

                    {% for item in todos_list.items.all %}

                    <tr>

                        <td> <a href="{% url 'update_todoitem' item.id %}">{{item}}</a> </td>
                        <td> {{item.due_date}}</td>
                    </tr>

                    {% endfor %}
                </tbody>

            </table>
        </div>
    </main>


</body>

</html>